EDIT - bug #8202

Multiple representations exception when reusing image in image gallery
03/22/2019 02:50 PM - Andreas Mdller

Status: Worksforme Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour

Target version:

Severity: normal Found in Version:

Description

In Flora of Greece | tried to move an image from taxon Anchusa aegyptiaca to Anchusella variegata.
| did this by first adding the image also to Anchusella variegata, later | wanted to remove it from Anchusa aegyptiaca.

However, as long as Anchusa aegyptiaca was also opened in separate name editor the below exception was thrown reproducable (I
reopened Anchusella variegata a couple of times).

After closing Anchusa aegyptiaca it was possible to add the image to Anchusella variegata and save).
==> hmm, no, even then it did not work. | closed all other editors and the problem still remained. Only after restarting the TaxEditor

the problem disappeared. So it looks like the TaxEditor under certain conditions remembers something that leads to multiple
representation exceptions!!!

login : admin
editor version : 5.5.1
server : api.cybertaxonomy.org (cybertaxonomy.org) / flora-greece

schema version : 5.0.0.0.20180514
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
org.eclipse.ed.core.di.InjectionException: java.lang.IllegalStateException: Multiple representatio
ns of the same entity [eu.etaxonomy.cdm.model.media.Media#4495] are being merged. Detached: [Anchu
sa aegyptiaca (L.) A. DC. (Willing 4)]; Detached: [Anchusa aegyptiaca (L.) A. DC. (Willing 4)]

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)

at org.eclipse.ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)

at org.eclipse.ed.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:247)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:90

at org.eclipse.e4d.ui.internal.workbench.PartServiceSaveHandler.save (PartServiceSaveHandler. jav
a:57)

at org.eclipse.ui.internal.WorkbenchWindow$7.save (WorkbenchWindow. java:594)

at org.eclipse.ed.ui.internal.workbench.PartServiceImpl.savePart (PartServiceImpl.java:1390)

at eu.etaxonomy.taxeditor.workbench.SaveHandler.execute (SaveHandler. java:36)

at sun.reflect.GeneratedMethodAccessorl58.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor.java:55)

at org.eclipse.ed4.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)

at org.eclipse.e4d.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:264)

History

#1 - 03/22/2019 02:50 PM - Andreas Miiller

- Description updated

#2 - 03/22/2019 03:03 PM - Andreas Miuller

- Description updated

#3 - 02/21/2020 10:45 AM - Andreas Kohlbecker

- Tags set to multiple-representations-problem
#4 - 07/02/2021 10:59 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.45

We should check if this is still an open issue. If yes, fix it.

#5 - 11/29/2023 12:37 PM - Katja Luther
- Status changed from New to Worksforme

- Target version deleted (Release 5.45)

| could not reproduce this anymore. | tested in rem_conf_am, added an image already in database to Lymanbensonia incachacana and then to Test
textual, afterwards | deleted it from Lymanbensonia incachacana, both taxa are still open. It worked as expected. So | think we can close this ticket as

works for me.
